// AnimationState.java
//
// Informatics 45 Spring 2010
// Code Example: Ball Animation (Version 1)
//
// This class is used to represent the current state of the animation, which
// is described by the x- and y-coordinates of the center of the ball along
// with the ball's radius.

package inf45.spring2010.examples.animation1.model;


public class AnimationState
{
	private double ballCenterX;
	private double ballCenterY;
	private double ballRadius;
	
	
	public AnimationState(double ballCenterX, double ballCenterY, double ballRadius)
	{
		this.ballCenterX = ballCenterX;
		this.ballCenterY = ballCenterY;
		this.ballRadius = ballRadius;
	}
	
	
	public double getBallCenterX()
	{
		return ballCenterX;
	}
	
	
	public double getBallCenterY()
	{
		return ballCenterY;
	}
	
	
	public double getBallRadius()
	{
		return ballRadius;
	}
}
